Subject: bug#24071: [PATCH] Refactor regex character class parsing in [:name:]

From: Dima Kogan <[email-masked]>
Date: Thu, 28 Jul 2016 22:31:48 -0700

Eli Zaretskii <[email-masked]> writes:

> If we are going to make some serious refactoring in regex.c, I think
> we should start with having a test suite for it.  The
> dima_regex_embedded_modifiers branch, created by Dima Kogan (CC'ed) in
> the Emacs repository includes a suite taken from glibc.  Dima, could
> you perhaps merge the parts of the test suite that can already be used
> to the master branch, so that we could use them to verify changes in
> regex.c?

Hi. I just saw this. Do you still need me to get these merged? That
branch is very clean, so just cherry-picking the specific commits should
do it.